FUNCTION::TCPMIB_FIL(3stap)

NAME
function::tcpmib_filter_key - Default filter function for tcpmib.* probes

SYNOPSIS

    tcpmib_filter_key:long(sk:long,op:long)

ARGUMENTS

sk
    pointer to the struct sock being acted on

op
    value to be counted if sk passes the filter

DESCRIPTION

This function is a default filter function. The user can replace this function with their own. The user-supplied filter function returns an index key based on the values in sk. A return value of 0 means this particular sk should be not be counted.

SEE ALSO
tapset::tcpmib-filter-default(3stap)